package com.link.core.cos;

import com.link.core.util.SpringUtil;
import com.qcloud.cos.COSClient;
import com.qcloud.cos.ClientConfig;
import com.qcloud.cos.auth.BasicCOSCredentials;
import com.qcloud.cos.auth.COSCredentials;
import com.qcloud.cos.http.HttpProtocol;
import com.qcloud.cos.region.Region;
import org.springframework.core.env.Environment;

public class IniCosClient {
   private static volatile COSClient instance;

   public static COSClient getInstance() {
      if (null == instance) {
         Class var0 = COSClient.class;
         synchronized(COSClient.class) {
            if (null == instance) {
               COSCredentials cred = new BasicCOSCredentials(((Environment)SpringUtil.getBean(Environment.class)).getProperty("cos.secretId"), ((Environment)SpringUtil.getBean(Environment.class)).getProperty("cos.secretKey"));
               ClientConfig clientConfig = new ClientConfig(new Region(((Environment)SpringUtil.getBean(Environment.class)).getProperty("cos.region")));
               clientConfig.setHttpProtocol(HttpProtocol.https);
               instance = new COSClient(cred, clientConfig);
            }
         }
      }

      return instance;
   }
}
